org.eclipse.microprofile.metrics.tck.metrics

## Class MeteredClassBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.MeteredClassBeanTest

    public class MeteredClassBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MeteredClassBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callMeteredMethodsOnce()`
`void` `instantiateTest()`
`void` `meteredMethodsNotCalledYet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeteredClassBeanTest

    public MeteredClassBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### meteredMethodsNotCalledYet

    @InSequence(value=1)
    public void meteredMethodsNotCalledYet()

#### callMeteredMethodsOnce

    @InSequence(value=2)
    public void callMeteredMethodsOnce()